class ExerciseBankChoice < ApplicationRecord
  belongs_to :exercise_bank_question
  has_many :exercise_bank_standard_answers

  scope :find_choice_custom, lambda {|k,v| where("#{k} = ?",v)}  #根据传入的参数查找问题
  scope :left_choice_choose, lambda {|k,v| where("#{k} > ?",v)}  #根据传入的参数查找问题

  # validates :choice_text, length: { maximum: 500, too_long: "不能超过500个字符" }

end